#include "ImageOperators.h"

using namespace cv;

void edgeDetect(Mat& src, Mat& dst)
{
	
	Mat filtered;
	const int MEDIAN_BLUR_FILTER_SIZE = 7;
	medianBlur(src, filtered, MEDIAN_BLUR_FILTER_SIZE);

	GaussianBlur(filtered, filtered, Size(11, 11), 0, 0, BORDER_DEFAULT);
	/*
	Mat edges;
	const int LAPLACIAN_FILTER_SIZE = 5;
	Laplacian(filtered, edges, CV_8U, LAPLACIAN_FILTER_SIZE);
	convertScaleAbs(edges, dst);
	*/

	Canny(filtered, dst, 10, 100, 3);

	//const int EDGES_THRESHOLD = 80;
	//const int EDGES_THRESHOLD = 10;
	//threshold(edges, dst, EDGES_THRESHOLD, 255, THRESH_BINARY_INV);	
}